
uniform float Offset;

varying vec2 s1Coord;
varying vec2 s2Coord;
varying vec2 s3Coord;
varying vec2 s4Coord;
varying vec2 s5Coord;
varying vec2 s6Coord;
varying vec2 s7Coord;
varying vec2 s8Coord;

void main()
{
	gl_Position = ftransform();

	vec2 texcoord0 = vec2(gl_TextureMatrix[0] * gl_MultiTexCoord0);

	s1Coord = texcoord0 + vec2(-Offset, -Offset);
	s2Coord = texcoord0 + vec2( 0,      -Offset);
	s3Coord = texcoord0 + vec2( Offset, -Offset);
	s4Coord = texcoord0 + vec2(-Offset,  0);
	s5Coord = texcoord0 + vec2( Offset,  0);
	s6Coord = texcoord0 + vec2(-Offset,  Offset);
	s7Coord = texcoord0 + vec2( 0,       Offset);
	s8Coord = texcoord0 + vec2( Offset,  Offset);
}


